6.0.0-git
2019-04-21

[#11245] DB schema "update" failed
Summary DB schema "update" failed
Queue Whups
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-07 (2479 days ago)
Due
Updated 2012-08-29 (2426 days ago)
Assigned 2012-07-07 (2479 days ago)
Resolved 2012-07-17 (2469 days ago)
Milestone
Patch No

History
2012-08-29 12:43:07 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 831ff3cbb578a5de962ac01aefb9a13cf5641918
Author: Jan Schneider <jan@horde.org>
Date:   Tue Jul 17 16:58:37 2012 +0200

     Allow for nested transactions.

     Fixes bug #11245.

  framework/Db/lib/Horde/Db/Adapter/Base.php   |   20 ++++++++++++--------
  framework/Db/lib/Horde/Db/Adapter/Mysql.php  |   12 +++++++-----
  framework/Db/lib/Horde/Db/Adapter/Mysqli.php |   10 +++++++---
  framework/Db/package.xml                     |    4 ++--
  4 files changed, 28 insertions(+), 18 deletions(-)

http://git.horde.org/horde-git/-/commit/831ff3cbb578a5de962ac01aefb9a13cf5641918
2012-07-17 15:00:27 Jan Schneider Assigned to Jan Schneider
Taken from Michael Rubinsky
State ⇒ Resolved
 
2012-07-17 14:59:52 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 831ff3cbb578a5de962ac01aefb9a13cf5641918
Author: Jan Schneider <jan@horde.org>
Date:   Tue Jul 17 16:58:37 2012 +0200

     Allow for nested transactions.

     Fixes bug #11245.

  framework/Db/lib/Horde/Db/Adapter/Base.php   |   20 ++++++++++++--------
  framework/Db/lib/Horde/Db/Adapter/Mysql.php  |   12 +++++++-----
  framework/Db/lib/Horde/Db/Adapter/Mysqli.php |   10 +++++++---
  framework/Db/package.xml                     |    4 ++--
  4 files changed, 28 insertions(+), 18 deletions(-)

http://git.horde.org/horde-git/-/commit/831ff3cbb578a5de962ac01aefb9a13cf5641918
2012-07-09 07:25:51 Thomas Jarosch Comment #3 Reply to this comment
Are you sure you are using a virgin database?  Since there is only 
one place where this table is created, the only way this can happen 
is if you attempt to run the migration on a database that has the 
table already but the schema data indicates that the migration was 
not run.
I'm pretty sure the database was clean as I recreated it several times.
(Took me a while to figure out #11244 as it "locked me out". So I 
recreated the database, prefs and config from scratch)

I've just recreated the database and it fails with another error 
during the first creation:

2012-07-09T09:24:00+02:00 ERR: HORDE [horde] SQL QUERY FAILED: 
SQLSTATE[HY000]: General error: 1 no such table: whups_shares_seq
         DROP TABLE "whups_shares_seq" [pid 2717 on line 812 of 
"/datastore/DEVEL/horde/framework/Db/lib/Horde/Db/Adapter/Base.php"]

After that I get the "whups_transactions" error mentioned previously.

2012-07-07 19:43:33 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Are you sure you are using a virgin database?  Since there is only one 
place where this table is created, the only way this can happen is if 
you attempt to run the migration on a database that has the table 
already but the schema data indicates that the migration was not run.
2012-07-07 17:26:04 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ DB schema "update" failed
Queue ⇒ Whups
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I have a fresh git "develop" branch install here. I can't update the 
whups DB schema with the sqlite driver. Here's the error message from 
the log:

2012-07-07T19:22:27+02:00 ERR: HORDE [horde] SQL QUERY FAILED: 
SQLSTATE[HY000]: General error: 1 table "whups_transactions" already 
exists
         CREATE TABLE "whups_transactions" ( "transaction_id" int NOT NULL,
           "transaction_timestamp" int NOT NULL, "transaction_user_id"
           varchar(255) NOT NULL, PRIMARY KEY("transaction_id") )   
[pid 14698 on line 812 of 
"/datastore/DEVEL/horde/framework/Db/lib/Horde/Db/Adapter/Base.php"]

Thomas



Saved Queries